package com.cn.fdapfe.biz.service;

import java.io.IOException;
import java.util.List;

import com.cn.fdapfe.biz.domain.ModelDataGen;
import com.fasterxml.jackson.core.JsonProcessingException;

/**
 * 物理模型数据生成管理Service接口
 * 
 * @author Allen
 * @date 2025-03-07
 */
public interface IModelDataGenService
{
    /**
     * 查询物理模型数据生成管理列表
     */
    List<ModelDataGen> selectList(ModelDataGen modelDataGen);
    /**
     * 获取物理模型数据生成管理详细信息
     */
    ModelDataGen selectOne(String id);
    /**
     * 新增物理模型数据生成管理
     */
    int add(ModelDataGen modelDataGen) throws IOException;
    /**
     * 修改物理模型数据生成管理
     */
    int update(ModelDataGen modelDataGen);
    /**
     * 删除物理模型数据生成管理
     */
    int delete(String[] ids);


}
